package com.ruoyi.common.core.enums;

import lombok.Data;

@Data
public class SignatureRes {
    private String resSignature;
    private String timestamp;
    private SignResultCodeEnum signResultCodeEnum;

    public SignatureRes(SignResultCodeEnum signResultCodeEnum)
    {
        this.signResultCodeEnum = signResultCodeEnum;
    }

    public SignatureRes(String resSignature, String timestamp, SignResultCodeEnum signResultCodeEnum)
    {
        this.resSignature = resSignature;
        this.timestamp = timestamp;
        this.signResultCodeEnum = signResultCodeEnum;
    }

    public static SignatureRes success(String resSignature, String timestamp, SignResultCodeEnum signResultCodeEnum)
    {

        return new SignatureRes(resSignature, timestamp, signResultCodeEnum);
    }

    public static SignatureRes error(SignResultCodeEnum signResultCodeEnum)
    {

        return new SignatureRes(signResultCodeEnum);
    }
}
